# Terminate an Agreement Terminate an Agreement. ## Request ```curl curl -X POST https://api.stripe.com/v2/orchestrated_commerce/agreements/orca_test_1gkgAw3x8N9UarRebDtOBtdk/terminate \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-05-27.preview" ``` ### Response ```json { "id": "orca_test_1gkgAw3x8N9UarRebDtOBtdk", "object": "v2.orchestrated_commerce.agreement", "created": "2026-04-06T10:00:00Z", "initiated_by": "seller", "orchestrator_details": { "network_business_profile": "profile_test_61U92KWAstyE3VYhXA6U91t01FSQ3ByrZzKJOCR0y5ey", "name": "Test Agent" }, "seller_details": { "network_business_profile": "profile_test_61UQtAVw2yEA80y4mA6UQtAVBKSQt4084jw8nwJXUUdk" }, "status": "terminated", "status_transitions": { "seller_confirmed_at": "2026-04-06T10:00:00Z", "orchestrator_confirmed_at": "2026-04-06T10:05:00Z", "terminated_at": "2026-04-06T11:00:00Z" }, "terminated_by": "seller" } ``` ## Returns ## Response attributes - `id` (string) The unique identifier for the agreement. - `object` (string, value is "v2.orchestrated_commerce.agreement") String representing the object’s type. Objects of the same type share the same value of the object field. - `created` (timestamp) The time at which the agreement was created. - `initiated_by` (enum) The party that initiated the agreement. Possible enum values: - `orchestrator` The orchestrator/agent. - `seller` The seller/merchant. - `livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `orchestrator_details` (object) Details about the orchestrator. - `orchestrator_details.name` (string) The name of the orchestrator. This can be the name of the agent or the name of the business. - `orchestrator_details.network_business_profile` (string) The Network ID of the orchestrator. - `seller_details` (object) Details about the seller. - `seller_details.network_business_profile` (string) The Network ID of the seller. - `status` (enum) The current status of the agreement. Possible enum values: - `confirmed` Both parties have confirmed the agreement. - `initiated` The agreement has been created and is awaiting confirmation from both parties. - `partially_confirmed` One party has confirmed the agreement and the other has not yet confirmed. - `terminated` The agreement has been terminated by one of the parties. - `status_transitions` (object) Timestamps of key status transitions for the agreement. - `status_transitions.orchestrator_confirmed_at` (timestamp, nullable) The time at which the orchestrator confirmed the agreement. - `status_transitions.seller_confirmed_at` (timestamp, nullable) The time at which the seller confirmed the agreement. - `status_transitions.terminated_at` (timestamp, nullable) The time at which the agreement was terminated. - `terminated_by` (enum, nullable) The party that terminated the agreement, if applicable. Possible enum values: - `orchestrator` The orchestrator/agent. - `seller` The seller/merchant. ## Error Codes | HTTP status code | Code | Description | | ---------------- | --------------------------------- | ---------------------------------------------------------------------------------------------------- | | 400 | agreement_already_terminated | When trying to confirm or terminate an agreement, the request will fail if it is already terminated. | | 400 | network_business_profile_required | The authenticated party making the request does not have a Stripe business profile. | | 404 | not_found | The resource wasn’t found. |